# AOCreateMappingIS

Creates a basic application ordering using two index sets.

### Synopsis

    PetscErrorCode PETSCDM_DLLEXPORT AOCreateMappingIS(IS isapp, IS ispetsc, AO *aoout)

### Input Parameters

| comm | - MPI communicator that is to share AO
| isapp | - index set that defines an ordering
| ispetsc | - index set that defines another ordering

### Output Parameter

aoout -the new application ordering

### Options Database Key

    -ao_view : call AOView() at the conclusion of AOCreateMappingIS()

### Keywords

AO, create

### See Also

AOCreateBasic(), AOCreateMapping(), AODestroy()

Level:beginner
Location: src/dm/ao/impls/mapping/aomapping.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages